Show / Hide Table of Contents

# Enum XivChatType

The FFXIV chat types as seen in the LogKind ex table.

###### Namespace: Dalamud.Game.Text

###### Assembly: Dalamud.dll

##### Syntax

    public enum XivChatType : ushort

### Fields

Name | Description
--- | ---
Alliance | The alliance chat type.
CrossLinkShell1 | The cross-world linkshell chat type.
CrossLinkShell2 | The cross-world linkshell 2 chat type.
CrossLinkShell3 | The cross-world linkshell 3 chat type.
CrossLinkShell4 | The cross-world linkshell 4 chat type.
CrossLinkShell5 | The cross-world linkshell 5 chat type.
CrossLinkShell6 | The cross-world linkshell 6 chat type.
CrossLinkShell7 | The cross-world linkshell 7 chat type.
CrossLinkShell8 | The cross-world linkshell 8 chat type.
CrossParty | The cross-world party chat type.
CustomEmote | The custom emotes chat type.
Debug | The debug chat type.
Echo | The echo chat type.
ErrorMessage | The error message chat type.
FreeCompany | The free company chat type.
GatheringSystemMessage | The system message (gathering) chat type.
Ls1 | The linkshell 1 chat type.
Ls2 | The linkshell 2 chat type.
Ls3 | The linkshell 3 chat type.
Ls4 | The linkshell 4 chat type.
Ls5 | The linkshell 5 chat type.
Ls6 | The linkshell 6 chat type.
Ls7 | The linkshell 7 chat type.
Ls8 | The linkshell 8 chat type.
None | No chat type.
Notice | The notice chat type.
NoviceNetwork | The novice network chat type.
NPCDialogue | The NPC Dialogue chat type.
NPCDialogueAnnouncements | The NPC Dialogue (Announcements) chat type.
Party | The party chat type.
PvPTeam | The PvP team chat type.
RetainerSale | The retainer sale chat type.
Say | The say chat type.
Shout | The shout chat type.
StandardEmote | The standard emotes chat type.
SystemError | The system error chat type.
SystemMessage | The system message chat type.
TellIncoming | The incoming tell chat type.
TellOutgoing | The outgoing tell chat type.
Urgent | The urgent chat type.
Yell | The yell chat type.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()
XivChatTypeExtensions.GetDetails()